%bcond_without check

%global goipath         gopkg.in/macaroon.v1
%global forgeurl        https://github.com/go-macaroon/macaroon
Version:                1.0.0

%gometa

%global common_description %{expand:
The Macaroon package implements macaroons as described in the paper "Macaroons:
Cookies with Contextual Caveats for Decentralized Authorization in the Cloud"
(http://theory.stanford.edu/~ataly/Papers/macaroons.pdf)}

%global golicenses      LICENSE
%global godocs          README.md TODO

Name:           %{goname}
Release:    1%{?dist}
Summary:        Native Go implementation of macaroons

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         0001-Convert-int-to-string-using-rune.patch

BuildRequires:  golang(golang.org/x/crypto/nacl/secretbox)

%if %{with check}
BuildRequires:  golang(gopkg.in/check.v1)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
